#include "common.h"
#include <gsl/gsl_vector.h>

/* `percep_train(sig, noise, iter, &cut)`
 * train a single perceptron to discriminate `sig`
 * from `noise`.
 *
 * The weigths are adjusted `iter` times and
 * returned, the bias/threshold is stored in the
 * `cut` argument.
 */
gsl_vector *percep_train(
  sample_t *signal, sample_t *noise,
  int iter, double *cut);
